import 'package:boilerplate/core/styles/my_colors.dart';
import 'package:boilerplate/core/styles/my_font.dart';
import 'package:flutter/material.dart';

class IPMTitleText extends StatelessWidget {
  final String title1;
  final String? title2;

  const IPMTitleText({
    Key? key,
    required this.title1,
    this.title2,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        Text(
          title1,
          style: MyFont.bold20,
        ),
        if (title2 != null)
          Text(
            title2!,
            style: MyFont.bold20.copyWith(
              color: MyColor.orange,
            ),
          ),
      ],
    );
  }
}
